Add validators to a tag
curl --request POST \
--url https://api.rated.network/v1/tags/{id}/validators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pubkeys": [
"0x00..",
"0x01..."
]
}
'import requests
url = "https://api.rated.network/v1/tags/{id}/validators"
payload = { "pubkeys": ["0x00..", "0x01..."] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pubkeys: ['0x00..', '0x01...']})
};
fetch('https://api.rated.network/v1/tags/{id}/validators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"createdAt": "2024-03-31T18:13:27.584133",
"createdBy": "d03841a7-d830-47a2-9f96-3f2ddf7d9b43",
"tagId": "96cbc789-5a03-4110-abeb-67f5d4f65323",
"tagName": "us-west-1",
"validatorPubkey": "0x800..."
}
]{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Private Sets
Add validators to a tag
This endpoint allows you to add validators to a tag. You must pass an array of validator pubkeys in the body.
POST
/
v1
/
tags
/
{id}
/
validators
Add validators to a tag
You can add upto 1,000 validators at a time with an upper bound of 15,000 validators per tag. If you’d like to add more than that per tag, please reach out to us at [email protected]!
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Body
application/json
Required array length:
1 - 1000 elements